# Generated by Django 2.2.12 on 2021-11-04 14:10
import os
import shutil
from django.db import migrations
from django.conf import settings


def create_objects(apps, schema_editor):

    core_dir_path = os.path.dirname(os.path.dirname(os.path.realpath(__file__)))
    imgs_folder = os.path.join(
        core_dir_path, 'static/defaults/category_headers'
    )

    Icon = apps.get_model("core", "Icon")
    Zone = apps.get_model("core", "Zone")
    Category = apps.get_model("core", "Category")

    for zone_name in (
        'Living Room', 'Kitchen', 'Bathroom', 'Porch', 'Garage', 'Yard', 'Other'
    ):
        Zone.objects.create(name=zone_name)

    categories_media_dir = os.path.join(settings.MEDIA_ROOT, 'categories')
    if not os.path.exists(categories_media_dir):
        os.makedirs(categories_media_dir)

    for i, data in enumerate([
        ("All", 'star'), ("Climate", 'temperature-half'),
        ("Lights", 'lightbulb'), ("Security", 'eye'),
        ("Watering", 'faucet'), ("Other", 'flag-pennant')
    ]):
        shutil.copy(
            os.path.join(imgs_folder, "%s.jpg" % data[0].lower()),
            os.path.join(
                settings.MEDIA_ROOT, 'categories', "%s.jpg" % data[0].lower()
            )
        )
        Category.objects.create(
            name=data[0], icon=Icon.objects.get(slug=data[1]),
            all=i==0, header_image=os.path.join(
                'categories', "%s.jpg" % data[0].lower()
            ), order=i+10
        )


def delete_objects(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0002_load_icons'),
    ]

    operations = [
        migrations.RunPython(create_objects, delete_objects),
    ]
