# Generated by Django 2.2.12 on 2021-11-05 10:02

from django.db import migrations


def create_objects(apps, schema_editor):

    Icon = apps.get_model("core", "Icon")
    Zone = apps.get_model("core", "Zone")
    Category = apps.get_model("core", "Category")
    Gateway = apps.get_model("core", "Gateway")
    Component = apps.get_model("core", "Component")

    generic, new = Gateway.objects.get_or_create(
        type='simo.generic.gateways.GenericGatewayHandler'
    )
    weather_icon = Icon.objects.get(slug='cloud-bolt-sun')
    other_zone = Zone.objects.get(name='Other')
    climate_category = Category.objects.get(name='Climate')
    Component.objects.create(
        name='Weather', icon=weather_icon,
        zone=other_zone,
        category=climate_category,
        gateway=generic, base_type='weather-forecast',
        controller_uid='simo.generic.controllers.WeatherForecast',
        config={'is_main': True}
    )


def delete_objects(apps, schema_editor):
    pass


class Migration(migrations.Migration):


    dependencies = [
        ('core', '0003_create_default_zones_and_categories'),
    ]

    operations = [
        migrations.RunPython(create_objects, delete_objects),
    ]
